Bug 103446 - Missing files in pkg-plist; spaces in variable in Makefile
Summary: Missing files in pkg-plist; spaces in variable in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-21 04:40 UTC by Diane Bruce
Modified: 2006-09-22 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.31 KB, patch)
2006-09-21 04:40 UTC, Diane Bruce
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diane Bruce 2006-09-21 04:40:17 UTC
	sdl12 port has two missing files in pkg-plist
        some other portlint errors

How-To-Repeat: 	make and deinstall sdl12
Comment 1 Stanislav Sedov freebsd_committer 2006-09-21 09:27:56 UTC
On Thu, 21 Sep 2006 01:50:09 -0400
Diane Bruce <db@db.net> mentioned:

> diff -u -r /usr/ports/devel/sdl12/Makefile sdl12/Makefile
> --- /usr/ports/devel/sdl12/Makefile	Wed Sep 20 23:25:44 2006
> +++ sdl12/Makefile	Wed Sep 20 23:29:07 2006
> @@ -18,11 +18,12 @@
> 
>  BUILD_DEPENDS=	nasm:${PORTSDIR}/devel/nasm
> 
> +INSTALLS_SHLIB=	yes


This variable was obsoleted and replaced by USE_LDCONFIG. See bsd.port.mk
for further info.

>  USE_LDCONFIG=	yes
>  GNU_CONFIGURE=	yes
>  WANT_GNOME=	yes
>  USE_GNOME=	gnomehack gnometarget
> -USE_ICONV=      yes
> +USE_ICONV=	yes
>  CONFIGURE_ENV=	NASM="${LOCALBASE}/bin/nasm"		\
>  		PTHREAD_CFLAGS="${PTHREAD_CFLAGS}"	\
>  		PTHREAD_LIBS="${PTHREAD_LIBS}"		\
> @@ -38,7 +39,7 @@
>  CONFIGURE_ARGS+=--disable-video-x11
>  .endif
> 
> -# XXX: exists untill it will be committed to bsd.port.mk
> +# XXX: exists until it will be committed to bsd.port.mk
>  COPYTREE_SHARE=	${SH} -c '(${FIND} -d $$0 $$2 | ${CPIO} -dumpl $$1 >/dev/null \
>  		2>&1) && \
>  		${CHOWN} -R ${SHAREOWN}:${SHAREGRP} $$1 && \
> diff -u -r /usr/ports/devel/sdl12/pkg-plist sdl12/pkg-plist
> --- /usr/ports/devel/sdl12/pkg-plist	Wed Sep 20 23:25:46 2006
> +++ sdl12/pkg-plist	Wed Sep 20 23:22:43 2006
> @@ -18,11 +18,13 @@
>  include/SDL/SDL_error.h
>  include/SDL/SDL_events.h
>  include/SDL/SDL_getenv.h
> +include/SDL/SDL_image.h


This file was installed by sdl_image

>  include/SDL/SDL_joystick.h
>  include/SDL/SDL_keyboard.h
>  include/SDL/SDL_keysym.h
>  include/SDL/SDL_loadso.h
>  include/SDL/SDL_main.h
> +include/SDL/SDL_mixer.h


and this one be sdl_mixer

>  include/SDL/SDL_mouse.h
>  include/SDL/SDL_mutex.h
>  include/SDL/SDL_name.h
> >Release-Note:
> >Audit-Trail:
> >Unformatted:


Thanks for info. I suppose Shaun will commit these typo fixes soon.

-- 
Stanislav Sedov              <stas@FreeBSD.org>          [[òÏÓÓÉÑ, íÏÓË×Á]]
PGP id: 0xEB269581           http://people.freebsd.org/~stas/stas.key.asc
Comment 2 Stanislav Sedov freebsd_committer 2006-09-21 09:33:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Over to maintainer.
Comment 3 Diane Bruce 2006-09-21 14:32:29 UTC
On Thu, Sep 21, 2006 at 12:27:56PM +0400, Stanislav Sedov wrote:
> On Thu, 21 Sep 2006 01:50:09 -0400
> Diane Bruce <db@db.net> mentioned:
...
> This variable was obsoleted and replaced by USE_LDCONFIG. See bsd.port.mk

Yes it was late when I started digging into pwlib, I should have
left looking at sdl itself for the morning.

> Thanks for info. I suppose Shaun will commit these typo fixes soon.


--
- db@db.net http://www.db.net/~db
Comment 4 Shaun Amott freebsd_committer 2006-09-22 22:00:18 UTC
State Changed
From-To: open->closed

I've fixed the whitepace/typo; thanks.
Comment 5 dfilter service freebsd_committer 2006-09-22 22:30:31 UTC
shaun       2006-09-22 21:30:04 UTC

  FreeBSD ports repository

  Modified files:
    devel/sdl12          Makefile 
  Log:
  Fix whitespace and a typo.
  
  PR:             ports/103446
  Submitted by:   Diane Bruce <db@db.net>
  
  Revision  Changes    Path
  1.103     +6 -7      ports/devel/sdl12/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"